curl --request POST \
--url https://api.dots.dev/api/v2/users \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Bob",
"last_name": "Loblaw",
"email": "bob@bobloblaw.com",
"country_code": "1",
"phone_number": "4154332334",
"metadata": {
"internal_id": "user_121344"
}
}
'import requests
url = "https://api.dots.dev/api/v2/users"
payload = {
"first_name": "Bob",
"last_name": "Loblaw",
"email": "bob@bobloblaw.com",
"country_code": "1",
"phone_number": "4154332334",
"metadata": { "internal_id": "user_121344" }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Bob',
last_name: 'Loblaw',
email: 'bob@bobloblaw.com',
country_code: '1',
phone_number: '4154332334',
metadata: {internal_id: 'user_121344'}
})
};
fetch('https://api.dots.dev/api/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": {
"country_code": "<string>",
"phone_number": "<string>"
},
"default_payout_method": "ach",
"default_payout_method_details": {
"platform": "ach",
"id": "<string>",
"description": "<string>",
"mask": "<string>",
"email": "<string>",
"phone_number": "<string>",
"cash_tag": "<string>",
"country": "<string>",
"currency": "<string>",
"rtp_enabled": true,
"meta": "<unknown>"
},
"wallet": {
"amount": 123,
"withdrawable_amount": 123,
"credit_balance": 123
},
"status": "verified",
"compliance": {
"tax_id_collected": true,
"tax_id_verification": "unsubmitted",
"address_collected": true,
"date_of_birth_collected": true,
"must_collect_1099": true,
"1099_collected": true,
"w8_ben_collected": true,
"flagged": true,
"id_verified": true,
"has_criminal_activity": true,
"background_check": {
"status": "not_started",
"updated": "2023-11-07T05:31:56Z"
},
"w9": {
"entity_type": "individual",
"business_name": "<string>",
"tax_id_collected": true,
"address_collected": true
},
"flags": {
"ofac": true,
"ofac_status": "unflagged",
"payout_method": true,
"payout_method_cycle": true,
"name_mismatch": true
}
},
"metadata": "<string>",
"payout_options_exclude_list": [
"ach"
],
"1099_adjustment": {
"year": 123,
"form": "1099-NEC",
"amount": 2
}
}Create a User
Create a user.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
The user's first name.
1 - 50The user's last name.
1 - 50The user's email address.
The user's phone number country code. e.g. "1"
^[0-9]{1,3}$The user's phone number. e.g. "4157223331".
^[0-9]{1,20}$Username to assign the user.
1 - 50User's date of birth.
Income paid outside of the Dots platform in the current calendar year. The form must match the application's configured 1099 filing type.
- 1099-NEC adjustment
- 1099-K adjustment
Show child attributes
Show child attributes
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
List of payout rails to hide from this user in the Dots iframe and block on payout creation. Empty or omitted means no restriction.
ach, paypal, venmo, cash_app, intl_bank, airtm, payoneer, crypto Response
Created
The created user object.
Show child attributes
Show child attributes
ach, paypal, venmo, cash_app, intl_bank, airtm, payoneer, crypto Show child attributes
Show child attributes
Show child attributes
Show child attributes
verified, unverified, disabled, in_review Show child attributes
Show child attributes
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Payout rails hidden from this user. Stacks with app-level exclusions.
ach, paypal, venmo, cash_app, intl_bank, airtm, payoneer, crypto Current-year 1099 adjustment for the user, if one has been set. Only returned by the retrieve-a-user endpoint (GET /v2/users/{user_id}) when the application's configured filing type has a matching adjustment; omitted otherwise and never included in list responses.
- 1099-NEC adjustment
- 1099-K adjustment
Show child attributes
Show child attributes
Was this page helpful?

